# Maize Phenology Model


## Example input data
```json
{
	"modelId": "MAMESTRABR",
	"configParameters":{
	"sowingDate":"2020-11-18",
	"timeZone":"GMT+01:00",
	"observations":[
		{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T07:00:00Z","value":28.799999999999997},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T08:00:00Z","value":30.191666666666663},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T09:00:00Z","value":32.18333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T10:00:00Z","value":33.666666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T11:00:00Z","value":34.55},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T12:00:00Z","value":34.925000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T13:00:00Z","value":34.9},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T14:00:00Z","value":34.56666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T15:00:00Z","value":33.28333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T16:00:00Z","value":30.045454545454547},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T17:00:00Z","value":27.016666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T18:00:00Z","value":23.75},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T19:00:00Z","value":22.308333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T20:00:00Z","value":21.091666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T21:00:00Z","value":20.225},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T22:00:00Z","value":19.433333333333337},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-16T23:00:00Z","value":18.533333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T00:00:00Z","value":17.841666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T01:00:00Z","value":17.349999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T02:00:00Z","value":16.974999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T03:00:00Z","value":16.658333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T04:00:00Z","value":16.508333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T05:00:00Z","value":17.45},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T06:00:00Z","value":22.791666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T07:00:00Z","value":26.34166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T08:00:00Z","value":29.683333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T09:00:00Z","value":32.31666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T10:00:00Z","value":33.708333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T11:00:00Z","value":34.375},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T12:00:00Z","value":34.916666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T13:00:00Z","value":34.94166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T14:00:00Z","value":34.449999999999996},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T15:00:00Z","value":33.108333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T16:00:00Z","value":29.783333333333342},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T17:00:00Z","value":26.599999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T18:00:00Z","value":22.724999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T19:00:00Z","value":20.95833333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T20:00:00Z","value":19.708333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T21:00:00Z","value":19.208333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T22:00:00Z","value":18.341666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-17T23:00:00Z","value":17.708333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T00:00:00Z","value":16.883333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T01:00:00Z","value":16.25},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T02:00:00Z","value":15.858333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T03:00:00Z","value":16.041666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T04:00:00Z","value":15.525},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T05:00:00Z","value":16.475},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T06:00:00Z","value":22.633333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T07:00:00Z","value":26.933333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T08:00:00Z","value":29.64166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T09:00:00Z","value":31.224999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T10:00:00Z","value":32.425},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T11:00:00Z","value":33.175000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T12:00:00Z","value":33.475},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T13:00:00Z","value":33.40833333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T14:00:00Z","value":32.825},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T15:00:00Z","value":31.691666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T16:00:00Z","value":28.474999999999994},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T17:00:00Z","value":23.850000000000005},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T18:00:00Z","value":21.1},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T19:00:00Z","value":19.333333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T20:00:00Z","value":17.908333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T21:00:00Z","value":16.916666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T22:00:00Z","value":16.291666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-18T23:00:00Z","value":15.475},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T00:00:00Z","value":14.641666666666671},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T01:00:00Z","value":14.025},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T02:00:00Z","value":13.091666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T03:00:00Z","value":12.533333333333331},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T04:00:00Z","value":12.1},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T05:00:00Z","value":13.366666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T06:00:00Z","value":20.633333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T07:00:00Z","value":26.141666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T08:00:00Z","value":29.249999999999996},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T09:00:00Z","value":30.974999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T10:00:00Z","value":32.233333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T11:00:00Z","value":33.025000000000006},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T12:00:00Z","value":33.30833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T13:00:00Z","value":33.18333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T14:00:00Z","value":32.88333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T15:00:00Z","value":31.900000000000006},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T16:00:00Z","value":27.59166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T17:00:00Z","value":22.041666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T18:00:00Z","value":19.681818181818183},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T19:00:00Z","value":17.741666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T20:00:00Z","value":16.808333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T21:00:00Z","value":16.03333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T22:00:00Z","value":15.099999999999996},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-19T23:00:00Z","value":14.825000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T00:00:00Z","value":13.841666666666669},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T01:00:00Z","value":13.066666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T02:00:00Z","value":12.408333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T03:00:00Z","value":11.591666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T04:00:00Z","value":11.475000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T05:00:00Z","value":13.100000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T06:00:00Z","value":19.21666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T07:00:00Z","value":23.98333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T08:00:00Z","value":27.16666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T09:00:00Z","value":29.433333333333326},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T10:00:00Z","value":30.108333333333338},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T11:00:00Z","value":30.60833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T12:00:00Z","value":31.766666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T13:00:00Z","value":32.075},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T14:00:00Z","value":31.974999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T15:00:00Z","value":30.866666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T16:00:00Z","value":26.36666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T17:00:00Z","value":21.483333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T18:00:00Z","value":19.366666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T19:00:00Z","value":17.741666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T20:00:00Z","value":17.23333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T21:00:00Z","value":16.083333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T22:00:00Z","value":15.291666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-20T23:00:00Z","value":14.674999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T00:00:00Z","value":13.950000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T01:00:00Z","value":13.516666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T02:00:00Z","value":12.85},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T03:00:00Z","value":12.358333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T04:00:00Z","value":11.591666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T05:00:00Z","value":12.983333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T06:00:00Z","value":20.599999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T07:00:00Z","value":25.424999999999997},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T08:00:00Z","value":28.133333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T09:00:00Z","value":30.150000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T10:00:00Z","value":31.591666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T11:00:00Z","value":32.833333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T12:00:00Z","value":33.475},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T13:00:00Z","value":33.7},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T14:00:00Z","value":33.96666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T15:00:00Z","value":33.32500000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T16:00:00Z","value":28.575},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T17:00:00Z","value":23.333333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T18:00:00Z","value":20.883333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T19:00:00Z","value":19.34166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T20:00:00Z","value":18.099999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T21:00:00Z","value":17.216666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T22:00:00Z","value":16.933333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-21T23:00:00Z","value":15.799999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T00:00:00Z","value":14.983333333333329},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T01:00:00Z","value":14.300000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T02:00:00Z","value":14.0},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T03:00:00Z","value":13.858333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T04:00:00Z","value":13.4},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T05:00:00Z","value":14.5},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T06:00:00Z","value":21.616666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T07:00:00Z","value":26.608333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T08:00:00Z","value":29.500000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T09:00:00Z","value":31.46666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T10:00:00Z","value":32.68333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T11:00:00Z","value":33.525000000000006},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T12:00:00Z","value":34.225},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T13:00:00Z","value":34.300000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T14:00:00Z","value":34.19166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T15:00:00Z","value":33.28333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T16:00:00Z","value":29.15833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T17:00:00Z","value":25.616666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T18:00:00Z","value":22.024999999999995},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T19:00:00Z","value":20.61666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T20:00:00Z","value":19.150000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T21:00:00Z","value":17.958333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T22:00:00Z","value":16.84166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-22T23:00:00Z","value":16.1},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T00:00:00Z","value":15.841666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T01:00:00Z","value":14.841666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T02:00:00Z","value":14.266666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T03:00:00Z","value":14.399999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T04:00:00Z","value":13.750000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T05:00:00Z","value":15.125},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T06:00:00Z","value":21.3},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T07:00:00Z","value":26.808333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T08:00:00Z","value":29.98333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T09:00:00Z","value":32.13333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T10:00:00Z","value":33.69166666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T11:00:00Z","value":34.35},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T12:00:00Z","value":34.71666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T13:00:00Z","value":34.76666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T14:00:00Z","value":34.474999999999994},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T15:00:00Z","value":33.65833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T16:00:00Z","value":28.65833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T17:00:00Z","value":23.983333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T18:00:00Z","value":21.825000000000003},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T19:00:00Z","value":20.275},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T20:00:00Z","value":18.666666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T21:00:00Z","value":17.750000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T22:00:00Z","value":17.28333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-23T23:00:00Z","value":16.26666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T00:00:00Z","value":15.358333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T01:00:00Z","value":14.700000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T02:00:00Z","value":14.491666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T03:00:00Z","value":15.241666666666669},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T04:00:00Z","value":14.31666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T05:00:00Z","value":14.824999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T06:00:00Z","value":22.450000000000003},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T07:00:00Z","value":27.500000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T08:00:00Z","value":30.233333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T09:00:00Z","value":32.45},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T10:00:00Z","value":34.03333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T11:00:00Z","value":34.93333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T12:00:00Z","value":35.65833333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T13:00:00Z","value":35.50833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T14:00:00Z","value":35.425000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T15:00:00Z","value":34.75833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T16:00:00Z","value":29.575},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T17:00:00Z","value":24.741666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T18:00:00Z","value":22.64166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T19:00:00Z","value":21.099999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T20:00:00Z","value":19.599999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T21:00:00Z","value":18.325},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T22:00:00Z","value":17.208333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-24T23:00:00Z","value":16.458333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T00:00:00Z","value":15.799999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T01:00:00Z","value":15.433333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T02:00:00Z","value":14.95833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T03:00:00Z","value":14.558333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T04:00:00Z","value":15.433333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T05:00:00Z","value":16.76666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T06:00:00Z","value":21.808333333333337},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T07:00:00Z","value":27.316666666666663},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T08:00:00Z","value":30.566666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T09:00:00Z","value":32.650000000000006},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T10:00:00Z","value":34.15},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T11:00:00Z","value":34.958333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T12:00:00Z","value":35.349999999999994},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T13:00:00Z","value":35.65833333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T14:00:00Z","value":35.49166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T15:00:00Z","value":34.766666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T16:00:00Z","value":29.516666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T17:00:00Z","value":24.591666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T18:00:00Z","value":22.508333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T19:00:00Z","value":21.116666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T20:00:00Z","value":20.391666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T21:00:00Z","value":19.125},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T22:00:00Z","value":18.616666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-25T23:00:00Z","value":17.633333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T00:00:00Z","value":17.041666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T01:00:00Z","value":16.691666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T02:00:00Z","value":15.916666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T03:00:00Z","value":15.425000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T04:00:00Z","value":15.074999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T05:00:00Z","value":15.725000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T06:00:00Z","value":21.899999999999995},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T07:00:00Z","value":27.016666666666662},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T08:00:00Z","value":30.783333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T09:00:00Z","value":32.983333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T10:00:00Z","value":34.175000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T11:00:00Z","value":35.266666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T12:00:00Z","value":35.81666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T13:00:00Z","value":35.925000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T14:00:00Z","value":35.81666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T15:00:00Z","value":34.80833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T16:00:00Z","value":29.933333333333337},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T17:00:00Z","value":25.416666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T18:00:00Z","value":23.25},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T19:00:00Z","value":21.941666666666663},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T20:00:00Z","value":21.15},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T21:00:00Z","value":20.341666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T22:00:00Z","value":19.6},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-26T23:00:00Z","value":18.875000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T00:00:00Z","value":17.90833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T01:00:00Z","value":17.716666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T02:00:00Z","value":17.05},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T03:00:00Z","value":16.616666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T04:00:00Z","value":15.958333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T05:00:00Z","value":16.65},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T06:00:00Z","value":22.208333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T07:00:00Z","value":28.16666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T08:00:00Z","value":31.791666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T09:00:00Z","value":33.4},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T10:00:00Z","value":34.225},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T11:00:00Z","value":35.21666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T12:00:00Z","value":35.87499999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T13:00:00Z","value":35.983333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T14:00:00Z","value":35.99166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T15:00:00Z","value":34.68333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T16:00:00Z","value":30.84166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T17:00:00Z","value":26.974999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T18:00:00Z","value":24.650000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T19:00:00Z","value":23.099999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T20:00:00Z","value":22.016666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T21:00:00Z","value":21.316666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T22:00:00Z","value":20.866666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-27T23:00:00Z","value":20.333333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T00:00:00Z","value":19.95},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T01:00:00Z","value":19.625},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T02:00:00Z","value":19.424999999999997},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T03:00:00Z","value":19.066666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T04:00:00Z","value":18.633333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T05:00:00Z","value":19.10833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T06:00:00Z","value":23.616666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T07:00:00Z","value":28.741666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T08:00:00Z","value":31.133333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T09:00:00Z","value":32.75833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T10:00:00Z","value":34.391666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T11:00:00Z","value":35.4},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T12:00:00Z","value":35.825},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T13:00:00Z","value":35.925000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T14:00:00Z","value":35.65},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T15:00:00Z","value":34.525},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T16:00:00Z","value":30.975000000000005},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T17:00:00Z","value":27.941666666666663},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T18:00:00Z","value":25.416666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T19:00:00Z","value":23.650000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T20:00:00Z","value":22.349999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T21:00:00Z","value":21.283333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T22:00:00Z","value":20.683333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-28T23:00:00Z","value":20.075},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T00:00:00Z","value":19.375000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T01:00:00Z","value":18.475},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T02:00:00Z","value":17.791666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T03:00:00Z","value":17.208333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T04:00:00Z","value":16.6},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T05:00:00Z","value":17.291666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T06:00:00Z","value":22.73333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T07:00:00Z","value":27.650000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T08:00:00Z","value":31.3},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T09:00:00Z","value":33.7},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T10:00:00Z","value":35.50000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T11:00:00Z","value":36.158333333333324},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T12:00:00Z","value":36.28333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T13:00:00Z","value":36.24999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T14:00:00Z","value":35.92499999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T15:00:00Z","value":34.775},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T16:00:00Z","value":31.025000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T17:00:00Z","value":26.049999999999997},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T18:00:00Z","value":23.5},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T19:00:00Z","value":21.95},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T20:00:00Z","value":20.375000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T21:00:00Z","value":19.516666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T22:00:00Z","value":18.650000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-29T23:00:00Z","value":17.85833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T00:00:00Z","value":16.95},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T01:00:00Z","value":15.624999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T02:00:00Z","value":15.083333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T03:00:00Z","value":15.058333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T04:00:00Z","value":14.133333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T05:00:00Z","value":15.041666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T06:00:00Z","value":22.066666666666663},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T07:00:00Z","value":27.900000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T08:00:00Z","value":31.591666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T09:00:00Z","value":33.983333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T10:00:00Z","value":35.391666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T11:00:00Z","value":36.05},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T12:00:00Z","value":36.30833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T13:00:00Z","value":36.291666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T14:00:00Z","value":35.93333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T15:00:00Z","value":34.56666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T16:00:00Z","value":30.900000000000006},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T17:00:00Z","value":26.900000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T18:00:00Z","value":22.24166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T19:00:00Z","value":20.24166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T20:00:00Z","value":18.900000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T21:00:00Z","value":18.166666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T22:00:00Z","value":17.383333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-11-30T23:00:00Z","value":16.358333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T00:00:00Z","value":15.258333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T01:00:00Z","value":14.158333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T02:00:00Z","value":13.258333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T03:00:00Z","value":12.891666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T04:00:00Z","value":12.308333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T05:00:00Z","value":13.25},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T06:00:00Z","value":21.166666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T07:00:00Z","value":27.325000000000003},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-01T08:00:00Z","value":30.375},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T01:00:00Z","value":14.1},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T02:00:00Z","value":13.833333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T03:00:00Z","value":13.041666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T04:00:00Z","value":12.258333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T05:00:00Z","value":13.625},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T06:00:00Z","value":21.74166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T07:00:00Z","value":27.34166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T08:00:00Z","value":30.791666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T09:00:00Z","value":33.074999999999996},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T10:00:00Z","value":34.61666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T11:00:00Z","value":35.72500000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T12:00:00Z","value":36.599999999999994},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T13:00:00Z","value":36.73333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T14:00:00Z","value":36.275},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T15:00:00Z","value":35.224999999999994},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T16:00:00Z","value":30.18333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T17:00:00Z","value":24.491666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T18:00:00Z","value":21.91},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T19:00:00Z","value":19.925},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T20:00:00Z","value":18.575},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T21:00:00Z","value":17.59166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T22:00:00Z","value":16.774999999999995},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-02T23:00:00Z","value":15.991666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T00:00:00Z","value":15.191666666666665},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T01:00:00Z","value":14.35},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T02:00:00Z","value":13.783333333333331},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T03:00:00Z","value":13.149999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T04:00:00Z","value":12.400000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T05:00:00Z","value":13.208333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T06:00:00Z","value":20.441666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T07:00:00Z","value":26.933333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T08:00:00Z","value":30.625},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T09:00:00Z","value":32.80833333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T10:00:00Z","value":34.083333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T11:00:00Z","value":35.16666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T12:00:00Z","value":35.641666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T13:00:00Z","value":35.88333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T14:00:00Z","value":35.61666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T15:00:00Z","value":34.68333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T16:00:00Z","value":29.558333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T17:00:00Z","value":23.25833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T18:00:00Z","value":20.941666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T19:00:00Z","value":19.316666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T20:00:00Z","value":17.641666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T21:00:00Z","value":16.8},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T22:00:00Z","value":16.175},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-03T23:00:00Z","value":15.416666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T00:00:00Z","value":14.433333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T01:00:00Z","value":13.958333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T02:00:00Z","value":13.266666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T03:00:00Z","value":12.566666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T04:00:00Z","value":12.100000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T05:00:00Z","value":13.333333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T06:00:00Z","value":20.724999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T07:00:00Z","value":26.916666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T08:00:00Z","value":30.925},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T09:00:00Z","value":33.50833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T10:00:00Z","value":35.275000000000006},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T11:00:00Z","value":36.291666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T12:00:00Z","value":36.725},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T13:00:00Z","value":36.900000000000006},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T14:00:00Z","value":36.76666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T15:00:00Z","value":35.63333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T16:00:00Z","value":30.291666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T17:00:00Z","value":24.633333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T18:00:00Z","value":22.233333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T19:00:00Z","value":20.508333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T20:00:00Z","value":19.200000000000003},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T21:00:00Z","value":18.0},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T22:00:00Z","value":17.558333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-04T23:00:00Z","value":16.691666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T00:00:00Z","value":16.058333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T01:00:00Z","value":15.200000000000001},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T02:00:00Z","value":14.483333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T03:00:00Z","value":14.041666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T04:00:00Z","value":13.658333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T05:00:00Z","value":14.341666666666669},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T06:00:00Z","value":21.5},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T07:00:00Z","value":29.174999999999997},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T08:00:00Z","value":32.550000000000004},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T09:00:00Z","value":34.508333333333326},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T10:00:00Z","value":36.025},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T11:00:00Z","value":36.86666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T12:00:00Z","value":37.233333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T13:00:00Z","value":37.199999999999996},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T14:00:00Z","value":36.916666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T15:00:00Z","value":36.025},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T16:00:00Z","value":30.64166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T17:00:00Z","value":25.34166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T18:00:00Z","value":23.083333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T19:00:00Z","value":21.53333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T20:00:00Z","value":19.925},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T21:00:00Z","value":18.775000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T22:00:00Z","value":18.825},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-05T23:00:00Z","value":18.166666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T00:00:00Z","value":17.225},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T01:00:00Z","value":15.949999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T02:00:00Z","value":15.783333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T03:00:00Z","value":15.116666666666669},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T04:00:00Z","value":15.333333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T05:00:00Z","value":15.783333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T06:00:00Z","value":21.48333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T07:00:00Z","value":27.13333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T08:00:00Z","value":32.175},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T09:00:00Z","value":35.25833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T10:00:00Z","value":36.266666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T11:00:00Z","value":37.075},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T12:00:00Z","value":37.324999999999996},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T13:00:00Z","value":37.31666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T14:00:00Z","value":37.1},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T15:00:00Z","value":35.74166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T16:00:00Z","value":31.95},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T17:00:00Z","value":28.75833333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T18:00:00Z","value":24.41666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T19:00:00Z","value":22.2},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T20:00:00Z","value":20.508333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T21:00:00Z","value":20.158333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T22:00:00Z","value":18.94166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-06T23:00:00Z","value":18.249999999999996},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T00:00:00Z","value":17.349999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T01:00:00Z","value":16.98333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T02:00:00Z","value":16.783333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T03:00:00Z","value":16.0},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T04:00:00Z","value":15.808333333333335},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T05:00:00Z","value":16.416666666666668},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T06:00:00Z","value":22.025000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T07:00:00Z","value":27.608333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T08:00:00Z","value":31.34166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T09:00:00Z","value":34.24999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T10:00:00Z","value":36.416666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T11:00:00Z","value":37.29999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T12:00:00Z","value":37.73333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T13:00:00Z","value":37.666666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T14:00:00Z","value":37.18333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T15:00:00Z","value":35.916666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T16:00:00Z","value":31.3},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T17:00:00Z","value":25.7},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T18:00:00Z","value":23.058333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T19:00:00Z","value":21.55},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T20:00:00Z","value":20.241666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T21:00:00Z","value":19.391666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T22:00:00Z","value":18.374999999999996},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-07T23:00:00Z","value":17.7},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T00:00:00Z","value":16.891666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T01:00:00Z","value":16.433333333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T02:00:00Z","value":16.225},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T03:00:00Z","value":15.616666666666669},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T04:00:00Z","value":15.258333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T05:00:00Z","value":16.025},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T06:00:00Z","value":22.38333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T07:00:00Z","value":28.099999999999998},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T08:00:00Z","value":32.766666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T09:00:00Z","value":34.80833333333334},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T10:00:00Z","value":36.641666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T11:00:00Z","value":36.98333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T12:00:00Z","value":37.333333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T13:00:00Z","value":37.025},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T14:00:00Z","value":37.18333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T15:00:00Z","value":35.69166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T16:00:00Z","value":31.708333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T17:00:00Z","value":26.241666666666664},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T18:00:00Z","value":22.891666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T19:00:00Z","value":20.891666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T20:00:00Z","value":19.616666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T21:00:00Z","value":19.133333333333333},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T22:00:00Z","value":18.083333333333332},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-08T23:00:00Z","value":17.34166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T00:00:00Z","value":16.924999999999997},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T01:00:00Z","value":16.366666666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T02:00:00Z","value":15.783333333333331},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T03:00:00Z","value":15.549999999999999},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T04:00:00Z","value":15.108333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T05:00:00Z","value":15.300000000000002},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T06:00:00Z","value":21.516666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T07:00:00Z","value":27.633333333333336},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T08:00:00Z","value":30.816666666666666},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T09:00:00Z","value":33.19166666666667},{"elementMeasurementTypeId":"TM","logIntervalId":1,"timeMeasured":"2020-12-09T10:00:00Z","value":34.5}
		]
	}
}
```

## Example output data
```json
[{
	"validTimeStart": "2020-11-17T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-17T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"33.48\",\"MAIZEPHENO.HEAT_SUM\":\"14.5\",\"MAIZEPHENO.DC\":\"14.5\",\"WEATHER.TN\":\"15.53\",\"MAIZEPHENO.PHASE\":\"VE\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-18T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-18T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"33.31\",\"MAIZEPHENO.HEAT_SUM\":\"27.2\",\"MAIZEPHENO.DC\":\"12.7\",\"WEATHER.TN\":\"12.1\",\"MAIZEPHENO.PHASE\":\"VE\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-19T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-19T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"32.08\",\"MAIZEPHENO.HEAT_SUM\":\"38.98\",\"MAIZEPHENO.DC\":\"11.78\",\"WEATHER.TN\":\"11.48\",\"MAIZEPHENO.PHASE\":\"VE\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-20T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-20T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"33.97\",\"MAIZEPHENO.HEAT_SUM\":\"51.76\",\"MAIZEPHENO.DC\":\"12.78\",\"WEATHER.TN\":\"11.59\",\"MAIZEPHENO.PHASE\":\"VE\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-21T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-21T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"34.3\",\"MAIZEPHENO.HEAT_SUM\":\"65.61\",\"MAIZEPHENO.DC\":\"13.85\",\"WEATHER.TN\":\"13.4\",\"MAIZEPHENO.PHASE\":\"VE\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-22T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-22T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"34.77\",\"MAIZEPHENO.HEAT_SUM\":\"79.87\",\"MAIZEPHENO.DC\":\"14.26\",\"WEATHER.TN\":\"13.75\",\"MAIZEPHENO.PHASE\":\"V2\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-23T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-23T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"35.66\",\"MAIZEPHENO.HEAT_SUM\":\"94.85\",\"MAIZEPHENO.DC\":\"14.99\",\"WEATHER.TN\":\"14.32\",\"MAIZEPHENO.PHASE\":\"V2\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-24T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-24T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"35.66\",\"MAIZEPHENO.HEAT_SUM\":\"109.96\",\"MAIZEPHENO.DC\":\"15.11\",\"WEATHER.TN\":\"14.56\",\"MAIZEPHENO.PHASE\":\"V2\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-25T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-25T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"35.93\",\"MAIZEPHENO.HEAT_SUM\":\"125.46\",\"MAIZEPHENO.DC\":\"15.5\",\"WEATHER.TN\":\"15.07\",\"MAIZEPHENO.PHASE\":\"V3\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-26T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-26T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"35.99\",\"MAIZEPHENO.HEAT_SUM\":\"141.44\",\"MAIZEPHENO.DC\":\"15.98\",\"WEATHER.TN\":\"15.96\",\"MAIZEPHENO.PHASE\":\"V3\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-27T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-27T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"35.93\",\"MAIZEPHENO.HEAT_SUM\":\"158.72\",\"MAIZEPHENO.DC\":\"17.28\",\"WEATHER.TN\":\"18.63\",\"MAIZEPHENO.PHASE\":\"V3\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-28T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-28T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"36.28\",\"MAIZEPHENO.HEAT_SUM\":\"175.16\",\"MAIZEPHENO.DC\":\"16.44\",\"WEATHER.TN\":\"16.6\",\"MAIZEPHENO.PHASE\":\"V3\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-29T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-29T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"36.31\",\"MAIZEPHENO.HEAT_SUM\":\"190.38\",\"MAIZEPHENO.DC\":\"15.22\",\"WEATHER.TN\":\"14.13\",\"MAIZEPHENO.PHASE\":\"V3\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-11-30T23:00:00.000+00:00",
	"validTimeEnd": "2020-11-30T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"null\",\"MAIZEPHENO.HEAT_SUM\":\"205.6\",\"MAIZEPHENO.DC\":\"15.22\",\"WEATHER.TN\":\"null\",\"MAIZEPHENO.PHASE\":\"V4-V6\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-12-01T23:00:00.000+00:00",
	"validTimeEnd": "2020-12-01T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"36.73\",\"MAIZEPHENO.HEAT_SUM\":\"220.1\",\"MAIZEPHENO.DC\":\"14.5\",\"WEATHER.TN\":\"12.26\",\"MAIZEPHENO.PHASE\":\"V4-V6\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-12-02T23:00:00.000+00:00",
	"validTimeEnd": "2020-12-02T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"35.88\",\"MAIZEPHENO.HEAT_SUM\":\"234.24\",\"MAIZEPHENO.DC\":\"14.14\",\"WEATHER.TN\":\"12.4\",\"MAIZEPHENO.PHASE\":\"V4-V6\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-12-03T23:00:00.000+00:00",
	"validTimeEnd": "2020-12-03T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"36.9\",\"MAIZEPHENO.HEAT_SUM\":\"248.74\",\"MAIZEPHENO.DC\":\"14.5\",\"WEATHER.TN\":\"12.1\",\"MAIZEPHENO.PHASE\":\"V4-V6\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-12-04T23:00:00.000+00:00",
	"validTimeEnd": "2020-12-04T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"37.23\",\"MAIZEPHENO.HEAT_SUM\":\"264.18\",\"MAIZEPHENO.DC\":\"15.45\",\"WEATHER.TN\":\"13.66\",\"MAIZEPHENO.PHASE\":\"V7-V9\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-12-05T23:00:00.000+00:00",
	"validTimeEnd": "2020-12-05T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"37.32\",\"MAIZEPHENO.HEAT_SUM\":\"280.4\",\"MAIZEPHENO.DC\":\"16.22\",\"WEATHER.TN\":\"15.12\",\"MAIZEPHENO.PHASE\":\"V7-V9\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-12-06T23:00:00.000+00:00",
	"validTimeEnd": "2020-12-06T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"37.73\",\"MAIZEPHENO.HEAT_SUM\":\"297.17\",\"MAIZEPHENO.DC\":\"16.77\",\"WEATHER.TN\":\"15.81\",\"MAIZEPHENO.PHASE\":\"V7-V9\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}, {
	"validTimeStart": "2020-12-07T23:00:00.000+00:00",
	"validTimeEnd": "2020-12-07T23:00:00.000+00:00",
	"validGeometry": null,
	"warningStatus": 0,
	"allValues": "{\"WEATHER.TX\":\"37.33\",\"MAIZEPHENO.HEAT_SUM\":\"313.47\",\"MAIZEPHENO.DC\":\"16.3\",\"WEATHER.TN\":\"15.26\",\"MAIZEPHENO.PHASE\":\"V7-V9\"}",
	"keys": "[\"WEATHER.TX\",\"MAIZEPHENO.HEAT_SUM\",\"MAIZEPHENO.DC\",\"WEATHER.TN\",\"MAIZEPHENO.PHASE\"]"
}]
```

### Development

Clone Gitlab repository

```
$ git clone https://gitlab.nibio.no/VIPS/models/java/model_maizepheno.git
$ cd model_maizepheno
```